net.sf.okapi.lib.translation

## Interface ITMQuery

- All Superinterfaces:
    java.lang.AutoCloseable, IQuery, java.util.Iterator<QueryResult>

      public interface ITMQuery
      extends IQuery

  Provides the methods common to all query engines of translation resources that are translation memory systems.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaximumHits()` Gets the current maximum number of hits to retrieve.
    `int` | `getThreshold()` Gets the current threshold value to use for the query.
    `void` | `setMaximumHits(int max)` Sets the maximum number of hits to retrieve.
    `void` | `setThreshold(int threshold)` Sets the threshold value to use for the query.

    - ### Methods inherited from interface net.sf.okapi.common.query.IQuery

      `batchLeverage, batchQuery, batchQueryText, clearAttributes, close, getName, getNoQueryThreshold, getParameters, getSettingsDisplay, getSourceLanguage, getTargetLanguage, getWeight, hasNext, leverage, next, open, query, query, removeAttribute, setAttribute, setLanguages, setNoQueryThreshold, setParameters, setRootDirectory, setWeight`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Method Detail

    - #### setMaximumHits

          void setMaximumHits(int max)

      Sets the maximum number of hits to retrieve.
      Parameters:
        `max` - The maximum number of hits to retrieve.

    - #### getMaximumHits

          int getMaximumHits()

      Gets the current maximum number of hits to retrieve.
      Returns:
        the current maximum number of hits to retrieve.

    - #### setThreshold

          void setThreshold(int threshold)

      Sets the threshold value to use for the query.
      Parameters:
        `threshold` - The threshold value (between 0 and 100).

    - #### getThreshold

          int getThreshold()

      Gets the current threshold value to use for the query.
      Returns:
        The current threshold value to use for the query.